function deep_cleaning_openNav() {
  jQuery(".sidenav").addClass('show');
}
function deep_cleaning_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function deep_cleaning_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const deep_cleaning_nav = document.querySelector( '.sidenav' );

      if ( ! deep_cleaning_nav || ! deep_cleaning_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...deep_cleaning_nav.querySelectorAll( 'input, a, button' )],
        deep_cleaning_lastEl = elements[ elements.length - 1 ],
        deep_cleaning_firstEl = elements[0],
        deep_cleaning_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && deep_cleaning_lastEl === deep_cleaning_activeEl ) {
        e.preventDefault();
        deep_cleaning_firstEl.focus();
      }

      if ( shiftKey && tabKey && deep_cleaning_firstEl === deep_cleaning_activeEl ) {
        e.preventDefault();
        deep_cleaning_lastEl.focus();
      }
    } );
  }
  deep_cleaning_keepFocusInMenu();
} )( window, document );

var deep_cleaning_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    deep_cleaning_btn.addClass('show');
  } else {
    deep_cleaning_btn.removeClass('show');
  }
});

deep_cleaning_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-arrow-left" aria-hidden="true"></i>','<i class="fas fa-arrow-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        margin: 0,
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
  var top_categories_old = jQuery('#top-categories .owl-carousel');
    top_categories_old.owlCarousel({
    margin: 40,
    nav:false,
    autoplay : true,
    lazyLoad: false,
    autoplayTimeout: 5000,
    loop: true,
    dots: false,
    navText : ['<i class="fas fa-arrow-left" aria-hidden="true"></i>','<i class="fas fa-arrow-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 2
      },
      768: {
        items: 2
      },
      1000: {
        items: 3
      },
      1200: {
        items: 4
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true,
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
});

jQuery("#top-slider .slider-inner-box h3").html(function(){
  var words = jQuery(this).text().trim().split(" ");

  if (words.length >= 3) {
      words[2] = `<span class='last_slide_head'>${words[2]}</span>`;
  }

  return words.join(" ");
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});